# Built application files
*.apk
*.aar
*.ap_
*.aab

# Files for the ART/Dalvik VM
*.dex

# Java class files
*.class

# Generated files
bin/
gen/
out/
release/

# Gradle files
.gradle/
build/

# Local configuration file (sdk path, etc)
local.properties

# Proguard folder generated by Eclipse
proguard/

# Log files
*.log

# Android Studio / IntelliJ
*.iml
.idea/
.navigation/
captures/
.externalNativeBuild/
.cxx/

# Keystore files
*.jks
*.keystore
*.p12
/key.properties

# Google Services (e.g. APIs or Firebase)
google-services.json

# OS files
.DS_Store
Thumbs.db

# F-Droid local artifacts (the pipeline generates them in CI)
/fdroid/

# KSP
.ksp/
